# StackTrace class

An interface implemented by all stack trace objects.

A StackTrace is intended to convey information to the user about the call sequence that triggered an exception.

These objects are created by the runtime, it is not possible to create them programmatically.

## Constructors

StackTrace()
StackTrace.fromString(String stackTraceString)
  Create a `StackTrace` object from `stackTraceString`. [...]
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a String representation of the stack trace. [...]
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Properties

current → StackTrace
  Returns a representation of the current stack trace. [...]
  read-only